# eric6.Helpviewer.Sync.SyncManager

Module implementing the synchronization manager class.

### Global Attributes

None

### Classes

SyncManager | Class implementing the synchronization manager.

### Functions

None

## SyncManager

Class implementing the synchronization manager.

### Signals

syncError(message)
  emitted for a general error with the error message (string)
syncFinished(type_, done, download)
  emitted after a synchronization has finished (string one of "bookmarks", "history", "passwords", "useragents" or "speeddial", boolean, boolean)
syncMessage(message)
  emitted to give status info about the sync process (string)
syncStatus(type_, message)
  emitted to indicate the synchronization status (string one of "bookmarks", "history", "passwords", "useragents" or "speeddial", string)

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

SyncManager | Constructor
__syncBookmarks | Private slot to synchronize the bookmarks.
__syncError | Private slot to handle general synchronization issues.
__syncFinished | Private slot to handle a finished synchronization event.
__syncHistory | Private slot to synchronize the history.
__syncPasswords | Private slot to synchronize the passwords.
__syncSpeedDial | Private slot to synchronize the speed dial settings.
__syncStatus | Private slot to handle a status update of a synchronization event.
__syncUserAgents | Private slot to synchronize the user agent settings.
close | Public slot to shut down the synchronization manager.
handler | Public method to get a reference to the sync handler object.
loadSettings | Public method to load the settings.
showSyncDialog | Public method to show the synchronization dialog.
syncEnabled | Public method to check, if synchronization is enabled.

### Static Methods

None

#### SyncManager (Constructor)

SyncManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### SyncManager.__syncBookmarks

__syncBookmarks()

Private slot to synchronize the bookmarks.

#### SyncManager.__syncError

__syncError(message)

Private slot to handle general synchronization issues.

message
  error message (string)

#### SyncManager.__syncFinished

__syncFinished(type_, status, download)

Private slot to handle a finished synchronization event.

type_
  type of the synchronization event (string one of "bookmarks", "history", "passwords", "useragents" or "speeddial")
status
  flag indicating success (boolean)
download
  flag indicating a download of a file (boolean)

#### SyncManager.__syncHistory

__syncHistory()

Private slot to synchronize the history.

#### SyncManager.__syncPasswords

__syncPasswords()

Private slot to synchronize the passwords.

#### SyncManager.__syncSpeedDial

__syncSpeedDial()

Private slot to synchronize the speed dial settings.

#### SyncManager.__syncStatus

__syncStatus(type_, message)

Private slot to handle a status update of a synchronization event.

type_
  type of the synchronization event (string one of "bookmarks", "history", "passwords", "useragents" or "speeddial")
message
  status message for the event (string)

#### SyncManager.__syncUserAgents

__syncUserAgents()

Private slot to synchronize the user agent settings.

#### SyncManager.close

close()

Public slot to shut down the synchronization manager.

#### SyncManager.handler

handler()

Public method to get a reference to the sync handler object.

Returns:
  reference to the sync handler object (SyncHandler)

#### SyncManager.loadSettings

loadSettings(forceUpload=False)

Public method to load the settings.

forceUpload=
  flag indicating a forced upload of the files (boolean)

#### SyncManager.showSyncDialog

showSyncDialog()

Public method to show the synchronization dialog.

#### SyncManager.syncEnabled

syncEnabled()

Public method to check, if synchronization is enabled.

Returns:
  flag indicating enabled synchronization

Up